%global srcname regex

Summary:        Alternative regular expression module, to replace re
Name:           python-%{srcname}
Version:        2022.10.31
Release:        3%{?dist}
License:        Python and CNRI
URL:            https://bitbucket.org/mrabarnett/mrab-regex
Source0:        https://files.pythonhosted.org/packages/source/r/%{srcname}/%{srcname}-%{version}.tar.gz

BuildRequires:  gcc
BuildRequires:  %{_bindir}/rst2html python3-pygments

%description
This regex implementation is backwards-compatible with the standard 're' module, but offers 
additional functionality.


%package -n python3-%{srcname}
Summary:        %{summary}
BuildRequires:  python3-devel python3-setuptools

%description -n python3-%{srcname}
This regex implementation is backwards-compatible with the standard 're' module, but offers 
additional functionality.


%prep
%autosetup -n %{srcname}-%{version}


%build
%py3_build

rst2html docs/UnicodeProperties.rst > docs/UnicodeProperties.html
rst2html README.rst > README.html


%install
%py3_install


%files -n python3-%{srcname}
%doc README.html docs/Features.html docs/UnicodeProperties.html
%{python3_sitearch}/*


%changelog
* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2022.10.31-3
- Rebuilt for OpenCloudOS Stream 23.09

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2022.10.31-2
- Rebuilt for OpenCloudOS Stream 23.05

* Wed Apr 26 2023 Wang Guodong <gordonwwang@tencent.com> - 2022.10.31-1
- initial build
